# Uses of Class
org.springframework.transaction.interceptor.TransactionInterceptor

Packages that use TransactionInterceptor
Package
Description
org.springframework.transaction.annotation
Spring's support for annotation-based transaction demarcation.
org.springframework.transaction.interceptor
AOP-based solution for declarative transaction demarcation.

## Uses of TransactionInterceptor in org.springframework.transaction.annotation

Methods in org.springframework.transaction.annotation that return TransactionInterceptor
Modifier and Type
Method
Description
`TransactionInterceptor`
ProxyTransactionManagementConfiguration.`transactionInterceptor(TransactionAttributeSource transactionAttributeSource)`
Methods in org.springframework.transaction.annotation with parameters of type TransactionInterceptor
Modifier and Type
Method
Description
`BeanFactoryTransactionAttributeSourceAdvisor`
ProxyTransactionManagementConfiguration.`transactionAdvisor(TransactionAttributeSource transactionAttributeSource, TransactionInterceptor transactionInterceptor)`

## Uses of TransactionInterceptor in org.springframework.transaction.interceptor

Methods in org.springframework.transaction.interceptor with parameters of type TransactionInterceptor
Modifier and Type
Method
Description
`void`
TransactionAttributeSourceAdvisor.`setTransactionInterceptor(TransactionInterceptor interceptor)`
Set the transaction interceptor to use for this advisor.
Constructors in org.springframework.transaction.interceptor with parameters of type TransactionInterceptor
Modifier
Constructor
Description
``
`TransactionAttributeSourceAdvisor(TransactionInterceptor interceptor)`
Create a new TransactionAttributeSourceAdvisor.